Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdm-dataportal / themes / zen_dataportal / compass-watch @ f45c46ef

History | View | Annotate | Download (724 Bytes)

1
#!/bin/bash
2

    
3

    
4
# check for compatible compass version
5
is_compatible=$(compass --version | grep "0.12.7")
6

    
7
if [[ -z "$is_compatible" ]]
8
then
9
    echo "incompatible version of compass found: $(compass --version | head -n 1 - )"
10
    echo "compass versions newer than no longer support CSS3Pie which is needed for cdm_dataportal/themes/zen_dataportal/sass/ie-legacy.scss "
11
    echo "install version 0.12.7 by"
12
    echo "  sudo gem uninstall compass --all"
13
    echo "  sudo gem uninstall sass --all"
14
    echo "  sudo gem install compass --version 0.12.7"
15
    exit -1
16
fi
17

    
18
# no need to specify the set the --debug-info here since we are 
19
# using the development configuration file
20
compass clean
21
compass watch -c config-dev.rb   ./
22

    
Add picture from clipboard (Maximum size: 40 MB)